/**
 * Settings body
 */
body ul,
body li {
    margin: 0;
    padding: 0;
    list-style-type: none;
    list-style-position: outside;
}

a, a:hover {
    color: #CE4501;
    text-decoration: underline;
}

a.url:active {
    position: relative;
    top: 1px;
}

#settings_body {
    font-size: 14px;
    height: 700px;
    overflow: hidden;
}

#settings_body, #settings_body select, #settings_body textarea, #settings_body input {
    font-family: "Mark Pro", Roboto, Helvetica, Arial, sans-serif;
}

#settings_body .table-condensed {
    font-size: 13px;
}

#settings_body > .settings_heading {
    height: 62px;
    border-bottom: 1px solid #d2d3d8;
    line-height: 62px;
    font-size: 180%;
    color: #101010;
    font-weight: bold;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 95%;
}

#settings_body > .settings_filter {
    border-bottom: 1px solid #d2d3d8;
    margin-right: 20px;
    padding: 5px 0;
    background-image: url('../images/tag_16_black.png');
    background-repeat: no-repeat;
    background-position: 98% 50%;
    min-height: 30px;
}

#settings_body > .settings_action {
    margin-right: 20px;
    padding: 10px 0;
    border-bottom: 1px solid #d2d3d8;
}

#settings_body > .settings_action > a,
#settings_body > .settings_action > .action {
    color: #71737a;
    cursor: pointer;
    float: left;
    height: 20px;
    line-height: 20px;
    text-decoration: none;
    margin-left: 10px;
    padding-left: 10px;
    border-left: 1px solid #d2d3d8;
}

#settings_body > .settings_action > a.url.disabled {
    color: #a1a3aa;
    pointer-events: none;
}

#settings_body > .settings_action > a:first-child {
    margin-left: 0;
    padding-left: 0;
    border-left: none;
}

#settings_body > .settings_action > a:hover {
    color: black;
}

/**
 * SEtting Menu
 */
#settings_menu {
    height: 700px;
    width: 210px;
    background: #eaebf0;
    position: absolute;
    left: 0;
}

#settings_menu > div.inner > div.top {
    padding-left: 20px;
}

#settings_menu > div.inner > div.top > h2 {
    background-image: url('../images/settings/settings.png');
    background-repeat: no-repeat;
    background-position: 90% 50%;
    color: #adafb5;
    height: 62px;
    line-height: 62px;
    letter-spacing: 1.8px;
    font-size: 110%;
}

/** Menu items */
#settings_menu > div.inner > div.items > ul > li > a {
    color: #71737a;
    display: block;
    font-size: 115%;
    height: 37px;
    line-height: 37px;
    overflow: hidden;
    padding-left: 20px;
    text-decoration: none;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#settings_menu > div.inner > div.items > ul > li:first-child > a {
    border-top: none;
}

#settings_menu > div.inner > div.items > ul > li:last-child > a {
    border-bottom: none;
}

#settings_menu > div.inner > div.items > ul > li.selected > a {
    margin-right: 0;
    background: white;
    color: #fb6229;
    background-image: url('../images/settings/right_arrow.png');
    background-repeat: no-repeat;
    background-position: 87% 50%;
    cursor: default;
    border-bottom: none;
}

#settings_menu > div.inner > div.items > ul > li.before_selected > a {
    border-bottom: 1px solid transparent;
}

#settings_menu > div.inner > div.items > ul > li.after_selected > a {
    border-top: 1px solid transparent;
}

#settings_menu > div.inner > div.items > ul > li > a:active {
    line-height: 39px;
}

#settings_menu > div.inner > div.items > ul > li > a:hover {
    color: black;
    overflow: visible;
}

/**
 * Re-style the TagFilter snippet
 */
#TagFilter {
    margin: 0 !important;
}

#TagFilter .View_SearchBox {
    background: none;
    padding-left: 0 !important;
}

#TagFilter .View_SearchBox > div.inner {
    border-left: none;
    padding-left: 0;
}

#settings_body #TagFilter .View_SearchBox > div.inner > div.input {
    left: 0;
}

#TagFilter .View_SearchBox > div.inner > div.input > input {
    padding: 5px 0 !important;
    font-size: 100%;
}

#TagFilter .View_SelectedTags > li {
    height: 24px !important;
    line-height: 24px;
    padding: 0 10px;
    margin: 0;
    margin: 2px 0;
    margin-right: 5px;
}

/**
 * list_block_container
 */
.list_block_container {
    padding-bottom: 20px;
}

.list_block_container > div.row-fluid {
    margin-top: 15px;
    padding-top: 15px;
    border-top: 1px solid #d2d3d8;
    position: relative;
}

.list_block_container > div.row-fluid:first-child {
    margin-top: 0;
    border-top: none;
}

/**
 * list_block
 */
.list_block {
    line-height: 150%;
    min-height: 100px;
}

.list_block a.title {
    color: #71737a;
    display: block;
    font-size: 140%;
    font-family: 'Trebuchet MS', sans-serif;
    text-decoration: none;
}

.list_block a.title:hover {
    color: black;
}

.list_block div.actions {
    position: absolute;
    bottom: 0;
    height: 25px;
    line-height: 25px;
}

.list_block div.actions > a {
    text-decoration: none;
    margin-left: 15px;
    float: left;
    height: 25px;
    line-height: 25px;
    padding-left: 25px;
    background-position: 4.5px 50%;
    background-repeat: no-repeat;
    color: black;
    text-transform: uppercase;
    opacity: 0.35;
}

.list_block div.actions > a:hover {
    opacity: 1;
}

.list_block div.actions > a:active {
    position: relative;
    top: 1px;
}

.list_block div.actions > a:first-child {
    margin-left: 0;
}

.list_block div.actions > a.edit {
    background-image: url('../images/edit_16_black.png');
}

.list_block div.actions > a.check.checked {
    background-image: url('../images/checked_16_black.png');
    opacity: 1;
}

.list_block div.actions > a.check.unchecked {
    background-image: url('../images/unchecked_16_black.png');
}

/**
 * Inline Listblock
 */
.list_block.inline {
    min-height: 0;
}

.list_block.inline div.actions {
    position: static;
    text-align: right;
}

.list_block.inline div.actions > a {
    float: none;
    display: inline-block;
    *display: inline;
    *zoom: 1;
}

/**
 * settings_content
 */
#settings_content {
    position: relative;
    border-color: #d2d3d8;
    overflow: hidden;
    overflow-y: auto;
    padding-right: 20px;
}

#settings_content > .alert {
    margin-top: 10px;
}

/**
 * settings_buttons
 * Styles for the buttons on the top right coner
 */
#settings_buttons {
    position: absolute;
    height: 30px;
    top: 10px;
    right: 10px;
    z-index: 1;
}

#settings_buttons > li {
    float: right;
    width: 30px;
    height: 30px;
    margin-left: 10px;
}

#settings_buttons > li > a {
    background-repeat: no-repeat;
    background-position: 50% 50%;
    height: 30px;
    width: 30px;
    display: block;
    background-color: #ccc;
}

#settings_buttons > li > a:hover {
    background-color: #b3b3b3;
}

#settings_buttons > li > a:active {
    background-position: 50% 55%;
}

#settings_buttons > li > a.close {
    background-image: url('../images/delete_16_gray.png');
}

#settings_buttons > li > a.help {
    background-image: url('../images/help_16_black.png');
}

#settings_buttons > li > a.back {
    background-image: url('../images/back_16_blue.png');
}

#settings_buttons > li > a.add {
    background-image: url('../images/add_16_green.png');
}

/**
 * colorpicker_container
 */
div.colorpicker_container {
    width: 100%;
    height: 30px;
    position: relative;
}

div.colorpicker_container > div {
    width: 26px;
    height: 26px;
    position: absolute;
    top: 0;
    left: 0;
    border: 2px solid #4d4d4d;
    cursor: pointer;
}

div.colorpicker_container > div:hover {
    border: 2px solid black;
}

/**
 * Forms
 */
#settings_content form > div.row-fluid,
#settings_content form#user_form div.row-fluid {
    margin-bottom: 15px;
}

form#user_form .units {
    background: #eaebf0;
    padding: 5px 10px;
    margin-top: -5px;
}

/**
 * Tags page
 */
#settings_body[selected='tags'] .ps-container {
    padding-right: 20px;
    overflow-x: hidden;
}

#settings_body[selected='tags'] .ps-scrollbar-x-rail /*perfect-scrollbars fix*/
{
    display: none !important;
}

#settings_body .pagination li {
    display: inline-block;
}

#settings_body .pagination li a,
#settings_body .pagination li span {
    display: inline-block;
    padding: 10px;
}

/**
 * Tables in Settings page
 */
#settings_content table th,
#settings_content table td {
    word-break: break-all;
}

/**
 * Athlete in Activity
 */
.AthleteList.InnerList .last-child {
    text-align: center;
    pointer-events: none;
    font-weight: bold;
}

/**
 * Alerts
 */
.active-thresholds {
    text-align: center;
}

.active-thresholds .threshold {
    float: left;
    width: 30%;
    border-radius: 5px;
    margin-left: 1%;
    margin-right: 1%;
    cursor: default;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: opacity 0.5s;
}

.active-thresholds .threshold[value='0']:not(:hover) {
    opacity: 0.2;
}

.alerts-form .loading {
    min-height: 32px;
}

.alerts-form #SaveAlert {
    margin-right: 20px;
}

.alerts-form .threshold_type select {
    margin-bottom: 10px;
}

.alerts-form .threshold {
    min-height: 100px;
}

.alerts-form .threshold_colours {
    margin-bottom: 5px;
}

#settings_action a:first-child:nth-last-child(2) {
    background-color: rgb(224, 224, 224);
    height: 30px;
    line-height: 30px;
    padding-left: 10px;
    padding-right: 10px;
}
